### Day 0: May 10, Thursday

**Today's Progress**: Solved Multiple Questitons:
- Related to 1-D array, Binary search.

**Thoughts:** Learn thing like:
- 1. In binary serach always remmember

```.cpp
    int low =0, high = len;
    while(low<=high){
        // do something
    }
```

- 2. Problem Related to Expression:
```
    | A[i]- A[j] | + | i- j |
```

If we solve the above problem it becomes two expression.


**Link(s) to work**

- [**Beatutiful Segment**](https://www.hackerearth.com/practice/data-structures/arrays/1-d/practice-problems/algorithm/beautiful-segments/)

- [**Can you solve it**](https://www.hackerearth.com/practice/data-structures/arrays/1-d/practice-problems/algorithm/can-you-solve-it/)
